/*
 * @(#)src/classes/sov/javax/rmi/CORBA/ValueHandlerMultiFormat.java, orb, orb1411, 20040209 1.2.2.1
 * ===========================================================================
 * Licensed Materials - Property of IBM
 * "Restricted Materials of IBM"
 *
 * IBM SDK, Java(tm) 2 Technology Edition, v1.4.1
 * (C) Copyright IBM Corp. 2002, 2003. All Rights Reserved
 * ===========================================================================
 */

/*
*
* Change activity:
*
* Reason Date   Origin   Description
* ------ ----   ------   ----------------------------------------------------
*  57725 030127 baldwint Added to resolve oMG Java-to-IDL issue 3151
*
* ===========================================================================
* Module Information:
*
* DESCRIPTION: Valuehandler interface to support stream format 2
*
* NOTE: This file should be deleted as soon as the corresponding interface
*       is available as part of the base Sun JDK.
* ===========================================================================
*/

package javax.rmi.CORBA;

/**
 * An extenstion to the javax.rmi.CORBA.ValueHandler interface to enable
 * Java values to be written in a specific stream format version.
 */
public interface ValueHandlerMultiFormat extends ValueHandler {
    /**
     * Return maximun stream format version supported by this valuehandler.
     */
    byte getMaximumStreamFormatVersion();

    /**
     * Write a Java value to the stream using the specified stream format
     * version.
     */
    void writeValue(org.omg.CORBA.portable.OutputStream out,
			java.io.Serializable value,
			byte streamFormatVersion);
}
